---
title: 'HTMLElement: gotpointercapture event'
slug: Web/API/HTMLElement/gotpointercapture_event
tags:
  - Event
  - HTML DOM
  - HTMLElement
  - NeedsSpecTable
  - PointerEvent
  - Reference
---
<div>{{APIRef}}</div>

<p>The <strong><code>gotpointercapture</code></strong> event is fired when an element captures a pointer using <code><a href="/en-US/docs/Web/API/Element/setPointerCapture">setPointerCapture()</a></code>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/ongotpointercapture", "ongotpointercapture")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example gets a <code>&lt;p&gt;</code> element and listens for the <code>gotpointercapture</code> event. It then calls <code>setPointerCapture()</code> on the element on a <code>pointerdown</code> event, which will trigger <code>gotpointercapture</code>.</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

para.addEventListener('gotpointercapture', () =&gt; {
  console.log('I\'ve been captured!')
});

para.addEventListener('pointerdown', (event) =&gt; {
  para.setPointerCapture(event.pointerId);
});
</pre>

<p>The same example, using the <code>ongotpointercapture</code> event handler property:</p>

<pre class="brush: js notranslate">const para = document.querySelector('p');

para.ongotpointercapture = () =&gt; {
  console.log('I\'ve been captured!')
};

para.addEventListener('pointerdown', (event) =&gt; {
  para.setPointerCapture(event.pointerId);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-gotpointercapture-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-gotpointercapture-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.gotpointercapture_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events
  <ul>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/lostpointercapture_event">lostpointercapture</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerover_event">pointerover</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerenter_event">pointerenter</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerdown_event">pointerdown</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointermove_event">pointermove</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerup_event">pointerup</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointercancel_event">pointercancel</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerout_event">pointerout</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerleave_event">pointerleave</a></code></li>
  </ul>
 </li>
 <li><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/ongotpointercapture">ongotpointercapture</a></code> event handler property</li>
 <li>This event on <code>Document</code> targets: <code><a href="/en-US/docs/Web/API/Document/gotpointercapture_event">gotpointercapture</a></code> event</li>
</ul>
